Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.10.5

Request #18638 Do not emit E_STRICT / E_DEPRECATED errors
Submitted: 2011-06-30 19:32 UTC
From: sergiosgc Assigned: cweiske
Status: Closed Package: PEAR (version SVN)
PHP Version: 5.3.6 OS: Irrelevant
Roadmaps: 1.10.0    
Subscription  


 [2011-06-30 19:32 UTC] sergiosgc (Sérgio Carvalho)
Description: ------------ This is a relocation of bug 18405 reported on XML_RPC2: https://pear.php.net/bugs/bug.php?id=18405 PEAR::loadExtension is documented as static: http://pear.php.net/manual/en/core.pear.pear.loadextension.php but if used as in the documentation, with E_STRICT enabled, PHP outputs: PHP Strict Standards: Non-static method PEAR::loadExtension() should not be called statically This is caused by the missing 'static' keyword in the function definition, although it is a static function.

Comments

 [2011-07-04 02:42 UTC] dufuz (Helgi Þormar Þorbjörnsson)
I am sorry but I can not fix that. PEAR.php is not a PHP 5+ package, it is PHP 4 for BC reasons. I can put it into the PEAR5 class but that is not really meant to be used directly by people (at the moment); So far it has been there so the shutdown functions can run without a problem.
 [2014-03-03 02:57 UTC] avb (Alexey Borzov)
-Summary: Static method PEAR::load Extension() generates warning on static call +Summary: Do not emit E_STRICT / E_DEPRECATED errors -Type: Bug +Type: Feature/Change Request
Since we are going to release PEAR 1.10 with a dependency on PHP5, there is no sense not to change the code. Creating this as a base feature request, will mark everything else as a duplicate.
 [2015-03-05 16:23 UTC] cweiske (Christian Weiske)
-Roadmap Versions: +Roadmap Versions: 1.10.0
Will be fixed with bug #20507.
 [2015-07-26 12:23 UTC] cweiske (Christian Weiske)
-Status: Open +Status: Closed -Assigned To: +Assigned To: cweiske
Fixed in PEAR git branch stable. Will be released in 1.10.0.